#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lm-sensors
Version		:	3.6.0
Release		:	14.4.0.0%{?dist}
Summary		:	Hardware monitoring tool
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://ftp.gwdg.de/pub/linux/misc/lm-sensors

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
Requires(post)	:	/sbin/chkconfig
#-----------------------------------------------------------------------------
%description
The lm_sensors package provides user-space support for the
hardware monitoring drivers in the Linux kernel. This is
useful for monitoring the temperature of the CPU and adjusting
the performance of some hardware (such as cooling fans). 

#-----------------------------------------------------------------------------
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\
	BUILD_STATIC_LIB=0				\
	PREFIX=%{_prefix}				\
	MANDIR=%{_mandir}				\

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR="%{buildroot}"				\
	PREFIX=%{_prefix}				\
	MANDIR=%{_mandir}				\
	LIBDIR=%{_libdir}				\
	install

%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -a 						\
	%{name}-ok_addon/%{name}			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc	CONTRIBUTORS COPYING README

%config(noreplace) %{_sysconfdir}/sensors3.conf
%attr (0754,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%{_bindir}/sensors
%{_bindir}/sensors-conf-convert
%{_includedir}/sensors/*.h
%{_libdir}/libsensors.{a,so*}
%{_sbindir}/fancontrol
%{_sbindir}/isadump
%{_sbindir}/isaset
%{_sbindir}/pwmconfig
%{_sbindir}/sensors-detect
%{_mandir}/man1/sensors.1.gz
%{_mandir}/man3/libsensors.3.gz
%{_mandir}/man5/sensors.conf.5.gz
%{_mandir}/man5/sensors3.conf.5.gz
%{_mandir}/man8/*.8.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
/sbin/chkconfig --add %{name}
if [ "$1" = 1 ]; then
  #need to have sysadmin look berfore to be started
  /sbin/chkconfig %{name} off
  fi
%{_sysconfdir}/rc.d/init.d/%{name} condrestart > /dev/null 2>&1 || :


#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}
  fi

#-----------------------------------------------------------------------------
%changelog
